Employees

Create position

POST
/api/public/v3/employees/{employee_id}/positions

Path Parameters

employee_id*integer

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v3/employees/0/positions" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'position_id=string&location_id=string&division_id=string&department_id=string&reporting_to_id=string&effective_from=string'
{  "data": {    "id": 0,    "employee_id": 0,    "effective_on": "string",    "fields": {},    "created_at": "string",    "updated_at": "string",    "position": {      "id": 0,      "name": "string",      "created_at": "string",      "updated_at": "string"    },    "division": {      "id": 0,      "name": "string",      "created_at": "string",      "updated_at": "string"    },    "job_level": null,    "location": {      "id": 0,      "name": "string",      "address": null,      "time_zone": "string",      "holiday_policy_id": null,      "created_at": "string",      "updated_at": "string",      "country_code": null    },    "department": {      "id": 0,      "name": "string",      "created_at": "string",      "updated_at": "string",      "parent_id": null    },    "reporting_to": {      "id": 0,      "first_name": "string",      "last_name": "string",      "email": "string"    },    "legal_entity": null  }}